Subject: Re: small tty problem? Re: Updated: cygwin-1.3.18-1
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 28 Dec 2002 01:25:14 -0500

On Fri, Dec 27, 2002 at 05:29:00PM -0500, Christopher Faylor wrote:
>On Fri, Dec 27, 2002 at 04:50:45PM -0500, Pierre A. Humblet wrote:
>>On Thu, Dec 26, 2002 at 09:47:59PM -0500, Christopher Faylor wrote:
>>> >^ note "q" before the prompt.
>>> 
>>> Interesting problem.  Should be fixed in current cvs. 
>>
>>Thanks Chris, looks fine here. But there is something similar...
>>WinME, latest everything, Cygwin from cvs, CYGWIN undefined 
>>
>>try.sh is a 5 line demo script
>># /bin/bash
>>
>>echo -n "Do you want to insert NL? (yes/no) "
>>read answer
>>echo "The answer was $answer"
>>
>>~: ./try.sh
>>Do you want to insert NL? (yes/no) yes
>>The answer was yes
>>~: ssh localhost
>><snip>
>>You are successfully logged in to this server!!!
>>
>>~: ./try.sh
>>Do you want to insert NL? (yes/no) yesThe answer was yes <= NO NL after yes
>>                                                         <= Extra NL
>>~: 
>
>This sounds like an excellent time for 1) you to learn tty internals or
>2) Steve to step in.  I've been fixing problems in Steve's recent tty
>changes and I think I'd like to enjoy my vacation and let someone else
>take over from here.

Well, surprise, this bugged me enough that I had to track it down.  The
order of acceptance of input and echoing of input seemed to have been
changed by Steve's recent patches, so I put it back the way it was
before.

In case anyone is curious (hah!) this code is in fhandler_termios.cc in
the 'line_edit' routine that Steve has been hacking on heavily.

Sigh.  1:30 AM.  I've gotta stop doing this.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/